# JsThemis

_Node.js_ wrapper for [Themis crypto library](https://github.com/cossacklabs/themis).

Themis is a convenient cryptographic library for data protection. 
It provides secure messaging with forward secrecy and secure data storage. Themis is aimed at modern development practices and has a unified API across 12 platforms, including Node.js, WebAssembly, Python, iOS/macOS, and Java/Android.

By [Cossack Labs](https://www.cossacklabs.com/themis/).

## Quickstart

### Installation

Start by installing the latest version of JsThemis:

```
npm install jsthemis
```

Import it into your project:

```javascript
const themis = require('jsthemis')
```

That's it!

### Documentation

Read the following resources to learn more:

  - [How to use JsThemis with JavaScript](https://docs.cossacklabs.com/pages/nodejs-howto/).
  - [How to build JsThemis from source code](https://docs.cossacklabs.com/pages/documentation-themis/#node-js-wrapper-installation).
  - [General documentation for Themis library on Cossack Labs Documentation Server](https://docs.cossacklabs.com/products/themis/).

### Additional resources  
  - To get a better understanding of how to use Themis, try playing around with [Interactive Themis Server Simulator](https://docs.cossacklabs.com/simulator/interactive/).
  - If WebAssembly would be a better match for your project, see [WasmThemis wrapper](https://github.com/cossacklabs/themis/tree/master/src/wrappers/themis/wasm).

## Licensing

JsThemis is distributed under [Apache 2.0 license](https://www.apache.org/licenses/LICENSE-2.0).
